/*
 * The contents of this file are
 * published under the Mozilla Public License 1.1
 */
//@@@@@@@@@@@@@@@@
function RDFAPI_NSRDF		//<c><a>protected<d>XPCOM RDF wrapper class
(){
const ASSERTING = false;
//================
this.RDFAPI_NSRDF = function		//<m>void<a>private<d>class constructor
(){
this.className	= 'RDFAPI_NSRDF';
//i12n
this.errorNotifier	= new ERROR_Notifier(this.className);
this.setXPCOM();
}//</m>RDFAPI_NSRDF



//================
this.setXPCOM = function		//<m>(boolean)int<a>private<d>SetUp RDF service interface
(){
try{
	this.XPCOM_RDFService = XPConnector.getService('nsIRDFService');
	//__ASSERT__.isTrue(this.testService(), ASSERTING, 'setXPCOM: XPCOM_RDFService enabled');
	return this.K.ERROR.NONE;
	}
catch(e){
	return this.errorNotifier.setOut(e, this.K.ERROR.SERVICE_ACCESS);
	}
}//</m>setXPCOM



//================
this.getInterface = function		//<m>Object<a>public<d>Cast the resource member according to an interface
(
iface		//<p>string<d>Interface to be queried
){
try{
	return XPConnector.getQuery(iface, this.node);
	}
catch(e){
	return null;
	}
}//</m>getInterface




//================
this.testService = function		//<m>boolean<a>private<d>Check whether XPCOM service is enabled
(){
return this.XPCOM_RDFService != null;
}//</m>testService



this.K =
	{
	rsc:
		{
		INSTANCE_RESOURCE:		0,		//XPCOM created resource
		NODE_RESOURCE:			1,
		NAMED_RESOURCE:			2,
		ANONYMOUS_RESOURCE:		3,
		STRING_LITERAL_NODE:	8,
		INT_LITERAL_NODE:		9,		//int and float
		DATE_LITERAL_NODE:		10		//ISO-8601 format
		},
	ERROR:
		{
		//NON FATAL
		NONE:					0,
		//FATAL
		SERVICE_ACCESS:			-1,
		UNVAILABLE_INTERFACE:	-2,
		FATAL:					0xFF	//end of error codes
		}
	};



this.RDFAPI_NSRDF();
}//</c>RDFAPI_NSRDF

