/*
 * The contents of this file are
 * published under the Mozilla Public License 1.1
 */
//@@@@@@@@@@@@@@@@
function RDFAPI_StoreObserver		//<c><a>protected<d>Model connection observer class
(
_referrer		//<p>Object<d>Callback reference instance (must provide a setHandleObserver method)
){
//================
this.RDFAPI_StoreObserver = function		//<m>void<a>private<d>class constructor
(
referrer		//<p>Object<d>Callback reference
){
this.className	= 'RDFAPI_StoreObserver';
this.referrer	= referrer;
this.set_RDFAPI_StoreObserver();
}//</m>RDFAPI_StoreObserver



//================
this.set_RDFAPI_StoreObserver = function		//<m>void<a>private<d>Instance i12n
(){
this.notifier =
	{
	className:	this.className,
	event:		null,
	sink:		null,
	errorCode:	null
	};
}//</m>set_RDFAPI_StoreObserver



//================
this.setNotifier = function		//<m>void<a>private<d>Notifier i12n
(
event,		//<p>Object<d>Loading event
sink		//<p>Object<d>Loading instance
){
this.notifier.event = event;
this.notifier.sink = sink;
this.referrer.setHandleObserver(this.notifier);
}//</m>setNotifier



//================
this.onBeginLoad = function		//<m>void<a>protected<d>Loading handler
(
sink		//<p>Object<d>Loading instance
){
this.setNotifier('onBeginLoad', sink);
}//</m>onBeginLoad



//================
this.onInterrupt = function		//<m>void<a>protected<d>Loading handler
(
sink		//<p>Object<d>Loading instance
){
this.setNotifier('onInterrupt', sink);
}//</m>onInterrupt



//================
this.onResume = function		//<m>void<a>protected<d>Loading handler
(
sink		//<p>Object<d>Loading instance
){
this.setNotifier('onResume', sink);
}//</m>onResume



//================
this.onEndLoad = function		//<m>void<a>protected<d>Loading handler
(
sink		//<p>Object<d>Loading instance
){
this.setNotifier('onEndLoad', sink);
}//</m>onEndLoad



//================
this.onError = function		//<m>void<a>protected<d>Loading handler
(
sink,		//<p>Object<d>Loading instance
code,		//<p>int<d>Error code
failure		//<p>string<d>Error message
){
this.notifier.errorCode = code;
this.setNotifier('onError', sink);
dump(failure + '\n');
}//</m>onError



this.RDFAPI_StoreObserver(_referrer);
}//</c>RDFAPI_StoreObserver<d>&
/*
Implements XPCOM nsIXMLSinkObserver
*/

