/*
 * The contents of this file are
 * Copyright (C) 2003 ID EST. All Rights Reserved.
 */
//@@@@@@@@@@@@@@@@
function UTILS_AbstractCollector		//<c>abstract<a>public<d>Collector class
(){
//================
this.UTILS_AbstractCollector = function		//<m>void<a>private<d>Class constructor
(){
this.className	= 'UTILS_AbstractCollector';
this.cursor		= 0;
this.length		= 0;
}//</m>UTILS_AbstractCollector



//================
this.setList = function		//<m>void<a>protected<d>List member i12n
(
list		//<p>Object[]<d>List
){
this.list = list;
this.length = list.length;
}//</m>setList



//================
this.setCursor = function		//<m>void<a>protected<d>Setup cursor
(
at		//<p>int<d>Index
){
this.cursor = at;		//recording of accessed position
}//</m>setCursor



//================
this.setAppend = function		//<m>void<a>public<d>Append an item to the list member
(
item		//<p>any<d>Object to append
){
this.setCursor(this.length++);
this.list[this.cursor] = item;
}//</m>setAddToList<d>&
/*
Update cursor position
*/



//================
this.getItem = function		//<m>Object<a>public<d>Retrieve list item at a specified index
(
at		//<p>int<d>Index
){
if(this.testInRange(at)){
	this.setCursor(at);
	return this.list[at];
	}
}//</m>getItem



//================
this.testInRange = function		//<m>boolean<a>private<d>Check whether index is in list range
(
at		//<p>int<d>Index
){
try{
	if(!this.list) throw new ERROR_Handler("UTILS_AbstractCollector.NO_LIST_ERROR");
	if(isNaN(at) || at < 0 || at > this.length) throw new ERROR_Handler("UTILS_AbstractCollector.AT_RANGE_ERROR");
	return (at != this.length);		//false when at is at list end
	}
catch(e){
	//e.setOut();
	return false;
	}
}//</m>testInRange



this.UTILS_AbstractCollector();
}//</c>UTILS_AbstractCollector



