/*
 * The contents of this file are
 * published under the Mozilla Public License 1.1
 */
/*
__IMPORT__
	(
	"chrome://mozlib/content/lib/js/io/file/",
	"instantiator.js",
	"dir_descriptor.js",
	"dir_handler.js"
	);
*/


//@@@@@@@@@@@@@@@@
function IO_file_dirInstantiator		//<c><e>IO_file_Instantiator<a>public<d>File instantiator class
(){
//================
this.IO_file_dirInstantiator = function		//<m>void<a>private<d>class constructor
(){
this.className		= 'IO_file_dirInstantiator';
this.setInDir();
}//</m>IO_file_dirInstantiator



//================
this.setInDir = function		//<m>void<a>private<d>Instance i12n
(){
if(this.setXPCOMDir() == this.K.ERROR.NONE){
	this.handler	= new IO_file_dirHandler(this);
	this.enable		= this.K.INSTANCE_ENABLED;
	}
}//</m>setInDir



//================
this.setXPCOMDir = function		//<m>void<a>private<d>Set up XPCOM interfaces
(){
try{
	return this.K.ERROR.NONE;
	}
catch(e){
	return this.errorNotifier.setOut(e, this.K.ERROR.SERVICE_ACCESS);
	}
}//</m>setXPCOMDir



//================
this.set_handle = function		//<m>void<a>private<d>Set up the handle member
(
path,			//<p>string<d>Path of file/dir to handle --optional (close)
permissions		//<p>int=0755<d>Permission code --optional
){
return this.setHandle(this.K.DIR_INSTANCE, path, permissions);
}//</m>set_handle



//================
this.setPath = function		//<m>void<a>public<d>Set up a new path for the handled dir
(
path,			//<p>string<d>Target directory path or null to remove the dir
preserving,		//<p>boolean<d>Actual file status flag: copy || move --optional
leaf			//<p>string<d>New leafName for handled file --optional
){
return this.locator.setPath(path, preserving, leaf);
}//</m>setPath<d>&
/*
Delegate to accessor
*/



//================
this.setOut = function		//<m>int<a>public<d>Setup (create) dir
(
//output		//<p>string[]<d>Names of directory to create
){
return this.testWritable() ? this.handler.setOut(arguments, this.accessor.get_permissions()) : this.K.ERROR.NO_SUCCESS;
}//</m>setOut<d>&
/*
Delegate to handler
*/



//================
this.getIn = function		//<m>IO_file_DirDescriptor<a>public<d>Get directory content
(
profile,	//<p>int<d>Type of content collected: files and/or directories --optional
pattern		//<p>string<d>Pattern for files/directories to collect, converted to a RegExp --optional
){
return this.testExecutable() ? this.handler.getIn(profile, pattern) : null;
}//</m>getIn<d>&
/*
Delegate to handler
*/



//================
this.getMozPath = function		//<m>string<a>public<d>Get the path of a Mozilla application directory
(
key		//<p>string<d>Application key
){
return this.locator.getMozPath(key);
}//</m>getMozPath<d>&
/*
Delegate to locator
*/



//================
this.getMozHandle = function		//<m>string<a>public<d>Get the path of a Mozilla application directory
(
key		//<p>string<d>Application key
){
return this.locator.getMozHandle(key);
}//</m>getMozHandle<d>&
/*
Delegate to locator
*/



this.IO_file_dirInstantiator();
}//</c>IO_file_dirInstantiator
IO_file_dirInstantiator.prototype = new IO_file_Instantiator;


