/*
 * The contents of this file are
 * published under the Mozilla Public License 1.1
 */
/*
__IMPORT__
	(
	"chrome://mozlib/content/lib/js/io/file/",
	"instantiator.js",
	"file_handler.js",
	"file_lineIterator.js"
	);
*/


//@@@@@@@@@@@@@@@@
function IO_file_fileInstantiator		//<c><e>IO_file_Instantiator<a>public<d>File instantiator class
(){
//================
this.IO_file_fileInstantiator = function		//<m>void<a>private<d>class constructor
(){
this.className		= 'IO_file_fileInstantiator';
this.setInFile();
}//</m>IO_file_fileInstantiator



//================
this.setInFile = function		//<m>void<a>private<d>Instance i12n
(){
if(this.setXPCOMFile() == this.K.ERROR.NONE){
	this.handler	= new IO_file_fileHandler(this);
	this.enable		= this.K.INSTANCE_ENABLED;
	}
}//</m>setInFile



//================
this.setXPCOMFile = function		//<m>void<a>private<d>Set up XPCOM interfaces
(){
try{
	this.scriptInputStream	= XPConnector.getInstance('nsIScriptableInputStream');
	this.inputStream		= XPConnector.getInstance('nsIFileInputStream');
	this.outputStream		= XPConnector.getInstance('nsIFileOutputStream');
	//this.lineStream		= XPConnector.getInstance('nsILineInputStream');
	return this.K.ERROR.NONE;
	}
catch(e){
	Stdout.setOut('EXCEPTION: %N', e);
	return this.K.ERROR.SERVICE_ACCESS;
	}
}//</m>setXPCOMFile



//================
this.set_handle = function		//<m>int<a>private<d>Set up the handle member
(
path,			//<p>string<d>Path of file/dir to handle --optional (close)
permissions		//<p>int=0644<d>Permission code --optional
){
return this.setHandle(this.K.FILE_INSTANCE, path, permissions);
}//</m>set_handle



//================
this.setOut = function		//<m>int<a>public<d>Set up (create) file content
(
content,		//<p>string<d>File content to write
appending		//<p>boolean<d>Append content flag: append || overwrite --optional
){
if(this.testProcessing('testHandle()') != this.K.ERROR.NONE) return this.K.ERROR.NO_SUCCESS;
var
/*int*/permissions = this.accessor.get_permissions(),
/*int*/mode = this.handler.K.WRONLY_MODE | this.handler.K.TRUNCATE_MODE;	//Overwrite existing content
if(appending) mode |= this.handler.K.APPEND_MODE;
if(!this.handler.get_mode()) this.handler.set_mode(mode);
if((this.testProcessing('accessor.testEntity() == false') == this.K.ERROR.NONE) &&
	(this.handler.setOutMake(permissions) != this.K.ERROR.NONE)) return this.K.ERROR.NO_SUCCESS;	//must create file
return (this.handler.setOut(content, permissions) == this.K.ERROR.NONE) ? content.length : 0;
}//</m>setOut<d>&
/*
Delegate to handler
*/



//================
this.setPath = function		//<m>int<a>public<d>Set up a new path for the handled file (re/move), eventually preserving actual file (copy)
(
path,			//<p>string<d>Target directory path or null to remove the file
preserving,		//<p>boolean<d>Actual file status flag: copy || move --optional
leaf			//<p>string<d>New leafName for handled file --optional
){
return this.locator.setPath(path, preserving, leaf);
}//</m>setPath<d>&
/*
Delegate to accessor
*/



//================
this.getIn = function		//<m>string<a>public<d>Get (read) file content, with optional size limit
(
length		//<p>int<d>Maximum number of bytes to get --optional
){
var
/*int*/permissions = this.accessor.get_permissions(),
/*int*/mode = this.handler.K.RDONLY_MODE;
if(!this.handler.get_mode()) this.handler.set_mode(mode);
return (this.testFile() && this.testReadable()) ? this.handler.getIn(length || this.descriptor.getSize(), permissions) : null;
}//</m>getIn<d>&
/*
Delegate to handler
*/



//================
this.getLineIn = function		//<m>string<a>public<d>Get (read) file content line after line, eventually stepping
(
step		//<p>int=1<d>Number of line to step forward --optional
){
return (!(this.testFile() && this.testReadable())) ?  null :
	this.handler.getLineIn(step);
}//</m>getLineIn<d>&
/*
Delegate to handler
*/



this.IO_file_fileInstantiator();
}//</c>IO_file_fileInstantiator
IO_file_fileInstantiator.prototype = new IO_file_Instantiator;


